Delete User Account
DEL
/__remote/api.vercel.com/v1/userInitiates the deletion process for the currently authenticated User, by sending a deletion confirmation email. The email contains a link that the user needs to visit in order to proceed with the deletion process.
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.user.requestDelete({});
console.log(result);}
run();Response
{ "id": "icfg_1234567890", "message": "Verification email sent"}AuthorizationbearerToken
Default authentication mechanism
202Response indicating that the User deletion process has been initiated, and a confirmation email has been sent.
400One of the provided values in the request body is invalid.
401Error
402Error
403You do not have permission to access this resource.
410Error